Page MenuHomePhabricator

[PowerPC][Power10] Implementation of 128-bit Binary Vector Multiply builtins
ClosedPublic

Authored by Conanap on Jul 16 2020, 8:24 AM.

Details

Summary

This patch implements 128-bit Binary Vector Multiply builtins for PowerPC10.

Diff Detail

Event Timeline

Conanap created this revision.Jul 16 2020, 8:24 AM
amyk requested changes to this revision.Jul 16 2020, 8:41 AM
amyk added a subscriber: amyk.
amyk added inline comments.
clang/lib/Headers/altivec.h
5492

Please use __POWER10_VECTOR__ for the #ifdefs. (Here and below)

llvm/lib/Target/PowerPC/PPCInstrPrefix.td
1261

nit: line up the indentation under v1i128 (for here and below)

This revision now requires changes to proceed.Jul 16 2020, 8:41 AM
Conanap updated this revision to Diff 279637.Jul 21 2020, 2:56 PM
Conanap marked 2 inline comments as done.

Changed if def to use pwer10_vector

amyk accepted this revision as: amyk.Jul 24 2020, 8:44 AM

I think this LGTM now. The file is already upstream, so your tests will need to be added to that file.

amyk accepted this revision.Jul 24 2020, 8:44 AM
This revision is now accepted and ready to land.Jul 24 2020, 8:44 AM
This revision was landed with ongoing or failed builds.Wed, Sep 2, 12:16 PM
This revision was automatically updated to reflect the committed changes.